namespace OpenWarehouse.warehouse.api.Data;

[Index(nameof(Name), IsUnique = true)]
public class Warehouse
{
    [Key]
    public Guid? Id { get; set; }
    
    [Required, MinLength(4), MaxLength(30)]
    public string? Name { get; set; }
    [Required, MinLength(4), MaxLength(40)]
    public string? FiestLineAdress { get; set; }
    [MinLength(0), MaxLength(40)]
    public string? SecondLineAdress { get; set; }
    
    public Image? Image { get; set; }
    [DeleteBehavior(DeleteBehavior.Cascade)]
    public List<WarehouseClaims>? Claims { get; set; }
}